﻿using ModuleTools.BusinessLogics;
using ModuleTools.Enums;
using ModuleTools.Models;
using SecurityBusinessLogic.BindingModels;
using SecurityBusinessLogic.Interfaces;
using SecurityBusinessLogic.ViewModels;

namespace SecurityBusinessLogic.BusinessLogics
{
	/// <summary>
	/// Логика работы с доступами
	/// </summary>
	public class AccessBusinessLogic : BusinessLogicCore<AccessGetBindingModel, AccessSetBindingModel, AccessListViewModel, AccessViewModel>
	{
		public AccessBusinessLogic(IAccessService service) : base(service, "Доступы", AccessOperation.Доступы) { }

		protected override AccessViewModel ConvertToE(OperationResultModel model) => model.Result as AccessViewModel;

		protected override AccessListViewModel ConvertToL(OperationResultModel model) => model.Result as AccessListViewModel;
	}
}